<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $com_id=$_SESSION['com_id'] =$_GET['com_id'];
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='16' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
       {
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <?php include ('head.php'); ?> 
</head>
<body>
<?php
  $inicio="";
  $M_inventario="";
  $M_contactos="";
  $M_compras="active";
  $M_ventas="";
  $M_pedidos="";
  $M_pos="";
  $R_reportes="";

  $compras="active";
  $proveedores="";
  $garantias="";
  $egresos="";

  include ('menu.php');
?>
<div class="main">
    <div class="col-md-2">
       <?php include ('include/menu_compras.php');?>
    </div> <!-- /span6 -->
    <div class="col-md-10">  
        <form id="editar_item" name="editar_item" action="" method="post">
            <div class="widget stacked">
                <div class="widget-header"> </div>  
                <div class="widget-content">
                    <div id="resultados" ></div><!-- Carga los datos ajax -->

                <?php
                    $com_id=$_GET['com_id'];
                    $can=mysqli_query($con,"SELECT * FROM compras c, compra_detalle cd where c.com_id=cd.compras_com_id and com_id='$com_id'") or die(mysqli_error($con)); 
                    $dato=mysqli_fetch_array($can);
                    $proveedor_pro_id=$dato['proveedor_pro_id']; 
                    $com_bodega=$dato['com_bodega'];              
                    $com_n_compra=$dato['com_n_compra'];              
                ?> 
                    <div class="col-md-3">
                        <div class="form-group">
                            <label> Proveedor</label>
                            <select name="pro_nombre" id="pro_nombre" class="form-control input-sm name_list" required onchange=" return update_proveedor(1,this.value);">
                                <option value='<?php echo $dato['proveedor_pro_id'];?>'><?php echo $dato['proveedor_nombre'];?></option>
                                <?php
                                    $result_1 = mysqli_query($con,"SELECT * FROM  proveedor WHERE  empresa='$empresa' and pro_id <>'$proveedor_pro_id' ");  
                                    while ($row_1=mysqli_fetch_array($result_1)) 
                                    {   
                                      echo "<option value='".$row_1['pro_id']."' >".$row_1['pro_nombre']."</option>"; 
                                    }  
                                ?>
                            </select>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label> Nº Factura Proveedor</label>
                            <input type="text"  id="valor" name="valor" onblur="update_factura(8,this.value);" value="<?php echo  $dato['com_facturaproveedor'];?>" class="form-control input-sm" required>
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Fecha</label>
                            <input type="date" name="com_fecha" id="com_fecha" value="<?php echo  $dato['com_fecha'];?>" class="form-control input-sm" required onblur="update_fecha(2,this.value);" >
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Compra Nº</label>
                            <input type="text" id="n" name="n" value="<?php echo $com_n_compra;?>" class="form-control input-sm" readonly >
                        </div> <!-- /.form-group -->
                    </div> <!-- /.form-group -->

                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Bodega</label>
                            <?php
                                $datos=mysqli_query($con,"SELECT * FROM bodegas where bod_id='$com_bodega'") or die(mysqli_error($con)); 
                                $fila=mysqli_fetch_array($datos); 
                            ?>
                            <input type="text" id="pago" name="pago" value="<?php echo $fila['bod_nombre'];?>" class="form-control input-sm" readonly>
                        </div> 
                    </div> <!-- /.form-group -->

                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Forma de Pago</label>
                           <input type="text"  id="pago" name="pago" value="<?php echo $dato['com_formapago'];?>" class="form-control input-sm" readonly>
                        </div> 
                    </div>
                 
                    <div class="col-md-8"></div>
                    <div class="col-md-4">
                        </br>
                        <div class="btn-group btn-group-justified" align="right">
                            <a href="#myModal" class="btn btn-warning" data-toggle="modal" >
                            <i class="btn-icon-only icon-plus"></i>Agregar Articulos</a>
                        </div></br>
                    </div>

                    <input type="hidden" name="com_id" id="com_id" value="<?php echo $com_id;?>" >
                    <div id="resultado1"></div> 
                    <div id="tabla"></div>
                    <?php include ('include/pie_de_pagina.php'); ?>    
                </div>
            </div> <!-- /.widget-content -->
        </form> <!-- /.form -->   
    </div>
</div> <!-- /.col-md-9 -->
<?php 
  include ('php_buscador/buscador_compras.php');
?>

<div class="modal fade bs-example-modal-lg" id="modificar_articulo" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">MODIFICAR ARTICULO</h4>
            </div>
            <div class="modal-body">
                <div id="form-art"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<script>
  $(document).ready(function(){
      load(1);
    });

function load(page)
{
    var q= $("#q").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_compras.php?action=ajax&page='+page+'&q='+q,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
    })
}

function loadtabla()
{
    var com_id=$("#com_id").val();
    $('#editModal').modal('hide');
    $.get("./php_compras/tabla_mod.php?com_id="+com_id,function(data){
    $("#tabla").html(data);
    })
}
loadtabla();
 
function update_factura(campo,valor)
{
    var parametros = {"action":"update","campo":campo,"valor":valor}; 
    $.ajax({
        type: "GET",
        url: "./php_compras/editar_numero.php",
        data: parametros,
        beforeSend: function(objeto){
            $("#resultados").html("Mensaje: Cargando...");
        },
        success: function(datos){
            $("#resultados").html(datos);
        }
    });
} 

function update_fecha(campo,com_fecha)
{
    var parametros = {"action":"update","campo":campo,"com_fecha":com_fecha}; 
    $.ajax({
        type: "GET",
        url: "./php_compras/editar_fecha.php",
        data: parametros,
        beforeSend: function(objeto){
            $("#resultados").html("Mensaje: Cargando...");
        },
        success: function(datos){
            $("#resultados").html(datos);
        }
    });
} 

function update_proveedor(campo,pro_nombre)
{
    var parametros = {"action":"update","campo":campo,"pro_nombre":pro_nombre}; 
    $.ajax({
        type: "GET",
        url: "./php_compras/editar_proveedor.php",
        data: parametros,
        beforeSend: function(objeto){
            $("#resultados").html("Mensaje: Cargando...");
        },
        success: function(datos){
            $("#resultados").html(datos);
        }
    });
}     



function agregar (art_id)
{
    var com_id=$("#com_id").val();
    var art_referencia=document.getElementById('art_referencia'+art_id).value;
    var precio_venta=document.getElementById('precio_venta_'+art_id).value;
    var cantidad=document.getElementById('cantidad_'+art_id).value;
    var nombre=document.getElementById('nombre_'+art_id).value;
    var iva=document.getElementById('iva_'+art_id).value;
    var fecha_vencimiento=document.getElementById('fecha_vencimiento_'+art_id).value;
    var flete=document.getElementById('flete'+art_id).value;
    var atributo_estado=document.getElementById('atributo_estado'+art_id).value;
    var atributo1=document.getElementById('atributo1_'+art_id).value;
    var atributo2=document.getElementById('atributo2_'+art_id).value;
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+art_referencia).focus();
        return false; 
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_'+art_referencia).focus();
        return false;
    }
    $.ajax({
        type: "POST",
        url: "./php_compras/agregar_articulo_m.php",
        data: "art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&nombre="+nombre+"&fecha_vencimiento="+fecha_vencimiento+"&iva="+iva+"&flete="+flete+"&atributo_estado="+atributo_estado+"&atributo1="+atributo1+"&atributo2="+atributo2+"&com_id="+com_id,

    beforeSend: function(objeto){
        $("#resultado1").html("Mensaje: Cargando...");
    },
    success: function(datos){
        $("#resultado1").html(datos);
        loadtabla()
    }
    });
}

</script>

<?php 
  include ('php_caja/caja_abrir.php');
  include ('script.php'); 
?>
</body></html>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>